# Class NavigationHistory

java.lang.Object
org.eclipse.ui.internal.NavigationHistory

All Implemented Interfaces:
  `INavigationHistory`

public class NavigationHistory extends Object implements INavigationHistory
Implementation of the back and forward actions.

## Constructor Summary

Constructors
Constructor
Description
`NavigationHistory(IWorkbenchPage page)`
Creates a new NavigationHistory to keep the NavigationLocation entries of the specified page.

## Method Summary

Modifier and Type
Method
Description
`NavigationHistoryEntry`
`createEntry(IWorkbenchPage page, IEditorPart part, INavigationLocation location)`
`void`
`dispose()`
Disposes this NavigationHistory and all entries.
`void`
`disposeEntry(NavigationHistoryEntry entry)`
`INavigationLocation`
`getCurrentLocation()`
Returns the current location.
`INavigationLocation[]`
`getLocations()`
Returns all entries in the history.
`void`
`markEditor(IEditorPart part)`
`void`
`markLocation(IEditorPart part)`
Mark the current location into the history.
`boolean`
`updateActive(IEditorPart editor)`
`void`
`updateCookieForTab(Object oldCookie, Object newCookie)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NavigationHistory

public NavigationHistory(IWorkbenchPage page)
Creates a new NavigationHistory to keep the NavigationLocation entries of the specified page.

Parameters:
  `page` - the workbench page

## Method Details

### markEditor

public void markEditor(IEditorPart part)

### markLocation

public void markLocation(IEditorPart part)
Description copied from interface: `INavigationHistory`
Mark the current location into the history. This message should be sent by clients whenever significant changes in location are detected. The location is obtained by calling `INavigationLocationProvider.createNavigationLocation`

Specified by:
  `markLocation` in interface `INavigationHistory`
Parameters:
  `part` - the editor part

### getLocations

public INavigationLocation[] getLocations()
Description copied from interface: `INavigationHistory`
Returns all entries in the history.

Specified by:
  `getLocations` in interface `INavigationHistory`
Returns:
  all entries in the history

### getCurrentLocation

public INavigationLocation getCurrentLocation()
Description copied from interface: `INavigationHistory`
Returns the current location.

Specified by:
  `getCurrentLocation` in interface `INavigationHistory`
Returns:
  the current location

### dispose

public void dispose()
Disposes this NavigationHistory and all entries.

### createEntry

public NavigationHistoryEntry createEntry(IWorkbenchPage page, IEditorPart part, INavigationLocation location)

### disposeEntry

public void disposeEntry(NavigationHistoryEntry entry)

### updateCookieForTab

public void updateCookieForTab(Object oldCookie, Object newCookie)

### updateActive

public boolean updateActive(IEditorPart editor)